Subject: Re: [PATCH v3] refs.c: add a function to append a reflog entry to a fd

From: Jonathan Nieder <[email-masked]>
Date: Thu, 20 Nov 2014 14:05:58 -0800

Stefan Beller wrote:

> From 4bec12b878ca02a1e80af3c265e7e7ab52ba17ce Mon Sep 17 00:00:00 2001

The above line causes "git am" to be unable to parse the message
downloaded as an mbox, if I remember correctly.

[...]
>  * break lines of commit message again to appease the taste of Jonathan ;)

I hope it's not just to appease me.  If the rationale behind a comment I
make isn't clear, always feel free to ask.

In this case, it is about readability.  It's perhaps irrational, but I
find text much more readable and the intent to be clearer when
paragraphs are wrapped to a consistent width instead of lines breaking
at arbitrary points.

Perhaps a nice way to make this a non-issue in the future would be an
option to "git am" to rewrap.